# ChangeDisksAttach

## 1. 接口描述

本接口(ChangeDisksAttach)用于将一个或多个已经挂载到一台实例的云硬盘挂载到另外一台实例上。

{% hint style="info" %}
**注意事项**

* 此接口相当于先后进行[DetachDisks](/api-reference/cn/compute/vm/disk/detachdisks.md)与[AttachDisks](/api-reference/cn/compute/vm/disk/describediskcategory.md)操作。
* 云硬盘当前状态必须处于**IN\_USE**，且已经绑定其它实例。
* 多个云硬盘当前所挂载的实例必须相同。
* 更换挂载的云硬盘数量不能超过新的实例所能挂载的最大数量。
* 本接口为异步接口，当请求成功返回时，云硬盘并未立即更换挂载，可通过接口[DescribeDisks](/api-reference/cn/compute/vm/disk/describedisks.md)来查询对应云硬盘的实例，如果云硬盘的实例更新，则为更换挂载成功。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型              | 描述          |
| ---------- | -- | --------------- | ----------- |
| diskIds    | 是  | Array of String | 云硬盘ID集合。    |
| instanceId | 是  | String          | 需要挂载的新实例ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 换绑实例。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ChangeDisksAttach
<Common Request Params>

Request:
{
  "diskIds": [
    "your-disk-id"
  ],
  "instanceId": "your-instance-id"
}

Response:
{
  "requestId": "T425ED38F-1BE5-4274-B076-9A58C51F21A8",
  "response": {
    "requestId": "T425ED38F-1BE5-4274-B076-9A58C51F21A8"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/vm/disk/changedisksattach.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
